
Application: gvSIG desktop - gvSIG bugs #1695
Cierre automático al añadir capas raster (ecw)
03/25/2013 06:11 PM - Álvaro Anguix

Status: Closed % Done: 0%
Priority: Urgent Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category: Raster
Target version: 2.1.0-2217-devel
Severity: Add-on version:
gvSIG version: 2.0.0 Add-on build:
gvSIG build: 2065 Add-on resolve version:
Operative System: Linux Add-on resolve build: 2067
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

Abro una Vista, en CRS 23030, le doy a "Añadir capa", busco las 2 imágenes del puerto de Valencia (1980 y 2002), acepto para
añadirlas, me pregunta si las quiero cachear, selecciono "No a todas" y la aplicación se queda colgada. Al cabo de unos segundos se
me cierra automaticamente.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2262: Some weird values ... Closed 01/29/2014

History
#1 - 03/25/2013 06:15 PM - Álvaro Anguix

Con una única capa  me pasa exactamente lo mismo, independientemente del CRS y de que seleccione o no cacheado. No sé si tendrá que ver con
lo que indica en el gestor de complementos, al intentar instalar cualquier extensión, de que debe instalar el "raster base support" y que no llega a
instalar.

#2 - 04/25/2013 02:16 PM - Manuel Madrid
- Assignee set to Ignacio Brodín
- Priority changed from Normal to Urgent

#3 - 04/26/2013 08:01 AM - Ignacio Brodín

Estoy trabajando con Ecw normalmente. ¿Puedes probar a cargar esas capas en la final a ver si te pasa? Si te ocurre dímelo y podríamos mirar en tu
equipo a ver cual es la causa. Si no te ocurre cerramos el ticket.

#4 - 04/26/2013 08:39 AM - Álvaro Anguix

Me sigue pasando. Cargando un único ECW me pasa exactamente lo mismo.

#5 - 05/09/2013 01:19 PM - Manuel Madrid
- Category set to Raster

#6 - 05/22/2013 11:28 AM - Cesar Ordiñana
Another user in the gvsig international list has found the same problem. Then I checked in my installation (Ubuntu 13.04) and had the same error too.

It seems the crash is produced because of a bug in the native library we use to load the ECW files. I've been looking and it is also happening in the
last linux distributions when you use gdal to open an ECW file:

http://osgeo-org.1560.x6.nabble.com/ECW-support-on-Fedora-Linux-error-td4991388.html

One of the developers on that discussion found a very easy way to avoid the problem, by setting the environment variable NCS_USER_PREFS to
point to some bogus file name. If you want to try it just edit the "gvSIG.sh" file in your gvSIG 2.0 installation and add a new line with the following text
(the file path is not important):

export NCS_USER_PREFS=${HOME}/.erm/ncsuserprefs.xml

Anyway it seems the community has made some patches to solve this bug and other ones of the ecw library. There is more information available in the
following osgeo page: http://trac.osgeo.org/gdal/wiki/ECW

To solve the bug there are two options:

    -  Add the NCS... variable export trick to the gvSIG.sh file. A bit hacky but its easy and works.
    -  Get or compile a new ecw library with the patches that solve this bug and other ones.

#7 - 06/27/2013 04:15 PM - Ignacio Brodín
- Status changed from New to Fixed
- Add-on resolve build set to 2067

#8 - 10/14/2013 04:42 PM - Ignacio Brodín

gvsig-desktop:r40788

#9 - 01/13/2014 09:24 AM - Joaquín  del Cerro Murciano
- Target version set to 2.1.0-2217-devel

#10 - 01/28/2014 09:57 AM - Álvaro Anguix
- Status changed from Fixed to Closed
